Zum Inhalt springen

Achtung: Bitte beachten Sie unbedingt die Nutzungsbedingungen. Trotz sorgfältiger Prüfung wird keinerlei Haftung für die dargestellten Inhalte übernommen. Alle Inhalte richten sich ausschließlich an ein ärztliches Fachpublikum.

Vorlage:Tooltip/styles.css: Unterschied zwischen den Versionen

Aus Infektiopedia
Maximilian.schons@uk-koeln.de (Diskussion | Beiträge)
Die Seite wurde neu angelegt: „.tooltip { position: relative; display: inline-block; border-bottom: 1px dotted black; } .tooltip .tooltiptext { visibility: hidden; width: 120px;…“
 
Maximilian.schons@uk-koeln.de (Diskussion | Beiträge)
Keine Bearbeitungszusammenfassung
Zeile 1: Zeile 1:
.tooltip {
.tooltip-infektiopedia {
   position: relative;
   position: relative;
   display: inline-block;
   display: inline-block;
  border-bottom: 1px dotted black;
}
}


.tooltip .tooltiptext {
.tooltip-infektiopedia .tooltiptext-infektiopedia {
   visibility: hidden;
   visibility: hidden;
   width: 120px;
   width: 120px;
Zeile 19: Zeile 18:
}
}


.tooltip .tooltiptext::after {
.tooltip-infektiopedia .tooltiptext-infektiopedia::after {
   content: "";
   content: "";
   position: absolute;
   position: absolute;
Zeile 29: Zeile 28:
   border-color: transparent black transparent transparent;
   border-color: transparent black transparent transparent;
}
}
.tooltip:hover .tooltiptext {
.tooltip-infektiopedia:hover .tooltiptext-infektiopedia {
   visibility: visible;
   visibility: visible;
}
}

Version vom 11. Juni 2021, 08:03 Uhr

.tooltip-infektiopedia {
  position: relative;
  display: inline-block;
}

.tooltip-infektiopedia .tooltiptext-infektiopedia {
  visibility: hidden;
  width: 120px;
  background-color: black;
  color: #fff;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;
  position: absolute;
  z-index: 1;
  top: -5px;
  left: 110%;
}

.tooltip-infektiopedia .tooltiptext-infektiopedia::after {
  content: "";
  position: absolute;
  top: 50%;
  right: 100%;
  margin-top: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: transparent black transparent transparent;
}
.tooltip-infektiopedia:hover .tooltiptext-infektiopedia {
  visibility: visible;
}